> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cartesia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Voice

> Create voice from an embedding

<Danger>
  This endpoint is deprecated! Use [Clone Voice](./clone) instead.
</Danger>


## OpenAPI

````yaml 2024-11-13/api.yml POST /voices
openapi: 3.0.1
info:
  title: Cartesia API
  version: '2024-11-13'
servers:
  - url: https://api.cartesia.ai
    description: Production
security: []
paths:
  /voices:
    post:
      tags:
        - Voices
      summary: Create Voice
      description: Create voice from an embedding
      operationId: voices_create
      parameters:
        - $ref: '#/components/parameters/CartesiaVersionHeader'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateVoiceRequest'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Voice'
      deprecated: true
      security:
        - ApiKeyAuth: []
components:
  parameters:
    CartesiaVersionHeader:
      name: Cartesia-Version
      in: header
      description: API version header.
      required: true
      schema:
        type: string
        format: date
        example: '2024-11-13'
        enum:
          - '2024-11-13'
  schemas:
    CreateVoiceRequest:
      title: CreateVoiceRequest
      type: object
      properties:
        name:
          type: string
          description: The name of the voice.
        description:
          type: string
          description: The description of the voice.
        embedding:
          $ref: '#/components/schemas/Embedding'
        language:
          $ref: '#/components/schemas/SupportedLanguage'
          nullable: true
        base_voice_id:
          $ref: '#/components/schemas/BaseVoiceId'
          nullable: true
      required:
        - name
        - description
        - embedding
    Voice:
      title: Voice
      type: object
      properties:
        id:
          $ref: '#/components/schemas/VoiceId'
        is_owner:
          type: boolean
          description: Whether your organization owns the voice.
        name:
          type: string
          description: The name of the voice.
        description:
          type: string
          description: The description of the voice.
        created_at:
          type: string
          format: date-time
          description: The date and time the voice was created.
        embedding:
          $ref: '#/components/schemas/Embedding'
          nullable: true
          description: The vector embedding of the voice.
        language:
          $ref: '#/components/schemas/VoiceLanguage'
        country:
          $ref: '#/components/schemas/VoiceCountry'
          nullable: true
        preview_file_url:
          type: string
          nullable: true
          description: >-
            A URL to download a preview audio file of this voice. Useful to
            avoid consuming credits to sample the voice. The URL requires the
            same Authorization header. Voice previews may be changed, moved, or
            deleted so you should avoid storing the URL permanently. This
            property will be null if there's no preview available. Only included
            when `expand[]` includes `preview_file_url`.
      required:
        - id
        - is_owner
        - name
        - description
        - created_at
        - language
    Embedding:
      title: Embedding
      type: array
      items:
        type: number
        format: double
      description: >-
        A 192-dimensional vector (i.e. a list of 192 numbers) that represents
        the voice.
    SupportedLanguage:
      title: SupportedLanguage
      type: string
      enum:
        - en
        - fr
        - de
        - es
        - pt
        - zh
        - ja
        - hi
        - it
        - ko
        - nl
        - pl
        - ru
        - sv
        - tr
      description: The language that the given voice should speak the transcript in.
    BaseVoiceId:
      $ref: '#/components/schemas/VoiceId'
      title: BaseVoiceId
      description: Pull in features from a base voice, used for features like voice mixing.
    VoiceId:
      title: VoiceId
      type: string
      description: The ID of the voice.
    VoiceLanguage:
      type: string
      description: The voice's language, as an ISO 639-1 code (e.g. `en`, `fr`, `zh`)
      example: en
    VoiceCountry:
      title: VoiceCountry
      type: string
      description: >-
        The country associated with the voice, as an ISO 3166-1 alpha-2 code
        when available (e.g. `US`, `GB`, `FR`).
      example: US
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````